#drawingCanvas {
    border-style: solid;
    border-color: black;
    border-width: 1px;
    background: conic-gradient(grey 90deg, white 90deg 180deg, grey 180deg 270deg, white 270deg);
    background-repeat: repeat;
    background-size: 40px 40px;
    background-position: top left;
    touch-action: none;
    image-rendering: crisp-edges;  
}

#saveLink, #uploadLink{
    text-align: center;
    display: block;
    padding: .25em;
    margin: .1em;
}

#debugElement {
    display:none;
}

#layerSelector button {
    background-color: white;
}

a.disabled {
    pointer-events: none;
    cursor: default;
}

fieldset {
    border:1px dotted;
    padding: 0 .5em .5em .5em;
}

label {
    vertical-align: middle;
}

input {
    margin-bottom: .2em
}

legend {
    font-weight: bold;
}

#toolContainer {
    width: 400px;
    display: inline-block;
}

#canvasContainer {
    display: inline;
    vertical-align: top;
    touch-action: none;
}

#saveContainer {
    display:block;
    text-align: center;
}

.toolHint {
    position: absolute;
    top: 33vh;
    left: calc(50vw - 200px);
    width: 400px;
    text-align: center;
}

.hiddenTip {
    display: none;
}